## pion-net 3.0.9+dfsg

=== debian/changelog ===
pion-net (3.0.9+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 01 May 2010 11:36:15 -0400

pion-net (3.0.7+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 13 Apr 2010 08:02:40 -0400

pion-net (3.0.5+dfsg-1) unstable; urgency=low

  * New upstream release
  * Rename packages:
    + libpion-net-2.2.12 -> libpion-net-3.0
    + libpion-common-2.2.12 -> libpion-common-3.0
  * Switch to dpkg-source 3.0 (quilt) format

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 03 Apr 2010 10:17:18 -0400

pion-net (2.2.12+dfsg-1) unstable; urgency=low

  * New upstream release
  * Rename packages:
    + libpion-net-2.2.10 -> libpion-net-2.2.12
    + libpion-common-2.2.10 -> libpion-common-2.2.12
  * Update to Standards-Version 3.8.4 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 20 Feb 2010 12:47:17 -0500

pion-net (2.2.10+dfsg-1) unstable; urgency=low

  * New upstream release
  * Rename packages:
    + libpion-net-2.2.8 -> libpion-net-2.2.10
    + libpion-common-2.2.8 -> libpion-common-2.2.10

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 25 Jan 2010 11:48:10 -0500

pion-net (2.2.8+dfsg-2) unstable; urgency=low

  * Adjust Build-Depends to remove non-existent packages (Closes: #562382)
  * Add ${misc:Depends} to the packages that lacked it (pleases lintian)
  * Use chrpath to remove hard coded rpath from binaries and libraries

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 05 Jan 2010 20:17:04 -0500

pion-net (2.2.8+dfsg-1) unstable; urgency=low

  * New upstream release
  * Rename packages:
    + libpion-net-2.2.2 -> libpion-net-2.2.8
    + libpion-common-2.2.2 -> libpion-common-2.2.8

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 07 Dec 2009 20:28:58 -0500

pion-net (2.2.2+dfsg-2) unstable; urgency=low

  * libpion-common-dev: Do not install duplicate lintian override 
  * libpion-net-dbg: Remove erroneous dependency on libpion-net-plugins
  * debian/rules: Add --disable-lockfree option to ./configure command

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 12 Oct 2009 16:35:12 -0400

pion-net (2.2.2+dfsg-1) unstable; urgency=low

  * New upstream release
    + debian/patches/g++-4.4.patch: Removed, merged upstream
    + Remove --without-cpu option from configure command, as upstream now
      checks if -march=i686 works first
  * Rename packages:
    + libpion-net-2.1.8 -> libpion-net-2.2.2
    + libpion-common-2.1.8 -> libpion-common-2.2.2
  * Add new debug packages:
    + libpion-common-dev
    + libpion-common-dbg
    + libpion-net-plugins-dbg

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 10 Oct 2009 02:30:52 -0400

pion-net (2.1.8+dfsg-2) unstable; urgency=low

  * Fix watch file so it reports version number correctly
  * Add --without-cpu option to configure command, as upstream unhelpfully
    hard codes -march=i686 to the g++ command line (Closes: #549572)
  * Fix build with g++-4.4 (Closes: #549671)

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 05 Oct 2009 23:09:57 -0400

pion-net (2.1.8+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #547607)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 19 Sep 2009 10:53:53 -0400
