=== debian/control ===
Source: pion-net
Priority: extra
Maintainer: Athena Capital Research <acr-debian@athenacr.com>
Uploaders: Roberto C. Sanchez <roberto@connexer.com>
Build-Depends: debhelper (>= 7), autotools-dev, libssl-dev, libboost-dev (>= 1.35), libboost-thread-dev (>= 1.35), libboost-iostreams-dev (>= 1.35), libboost-system-dev (>= 1.35), libboost-filesystem-dev (>= 1.35), libboost-signals-dev (>= 1.35), libboost-test-dev (>= 1.35), chrpath, zlib1g-dev, doxygen, perl, libbz2-dev, libxml2-dev, libpcap-dev, libtool, ruby, cmake, pkg-config
Standards-Version: 3.8.4
Section: libs
Homepage: http://www.pion.org/projects/pion-network-library

Package: libpion-net-dev
Section: libdevel
Architecture: any
Depends: libpion-common-dev, libpion-net-3.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: libpion-net-doc
Description: lightweight HTTP interface library - development files
 pion-net is not intended to implement yet another web server, but to
 provide HTTP(S) functionality to new or existing C++ applications. If
 you're looking for a full-featured server application, check out Apache
 or lighttpd. If you're working on a Boost C++ application and would just
 like to use HTTP to provide a simple user interface or interact with
 run-time data, then pion-net is a clean and simple solution.
 .
 Pion Network Library uses the Boost and asio libraries for multi-threading
 and asynchronous I/O. This allows servers implemented using pion-net to
 handle many thousands of connections simultaneously with a single physical
 server.
 .
 pion-net also supports server-side SSL & TLS encryption when built with
 the OpenSSL library (which the Debian package is).
 .
 This package includes the pion-net development files.

Package: libpion-common-dev
Section: libdevel
Architecture: any
Depends: libpion-common-3.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: libpion-net-doc
Description: lightweight HTTP interface library - common development files
 pion-net is not intended to implement yet another web server, but to
 provide HTTP(S) functionality to new or existing C++ applications. If
 you're looking for a full-featured server application, check out Apache
 or lighttpd. If you're working on a Boost C++ application and would just
 like to use HTTP to provide a simple user interface or interact with
 run-time data, then pion-net is a clean and simple solution.
 .
 Pion Network Library uses the Boost and asio libraries for multi-threading
 and asynchronous I/O. This allows servers implemented using pion-net to
 handle many thousands of connections simultaneously with a single physical
 server.
 .
 pion-net also supports server-side SSL & TLS encryption when built with
 the OpenSSL library (which the Debian package is).
 .
 This package includes the pion-net common development files.

Package: libpion-net-plugins
Architecture: any
Depends: libpion-net-3.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: lightweight HTTP interface library - plugins
 pion-net is not intended to implement yet another web server, but to
 provide HTTP(S) functionality to new or existing C++ applications. If
 you're looking for a full-featured server application, check out Apache
 or lighttpd. If you're working on a Boost C++ application and would just
 like to use HTTP to provide a simple user interface or interact with
 run-time data, then pion-net is a clean and simple solution.
 .
 Pion Network Library uses the Boost and asio libraries for multi-threading
 and asynchronous I/O. This allows servers implemented using pion-net to
 handle many thousands of connections simultaneously with a single physical
 server.
 .
 pion-net also supports server-side SSL & TLS encryption when built with
 the OpenSSL library (which the Debian package is).
 .
 This package includes the pion-net plugins.

Package: libpion-net-3.0
Architecture: any
Depends: libpion-common-3.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: lightweight HTTP interface library - runtime files
 pion-net is not intended to implement yet another web server, but to
 provide HTTP(S) functionality to new or existing C++ applications. If
 you're looking for a full-featured server application, check out Apache
 or lighttpd. If you're working on a Boost C++ application and would just
 like to use HTTP to provide a simple user interface or interact with
 run-time data, then pion-net is a clean and simple solution.
 .
 Pion Network Library uses the Boost and asio libraries for multi-threading
 and asynchronous I/O. This allows servers implemented using pion-net to
 handle many thousands of connections simultaneously with a single physical
 server.
 .
 pion-net also supports server-side SSL & TLS encryption when built with
 the OpenSSL library (which the Debian package is).
 .
 This package includes the pion-net runtime files.

Package: libpion-common-3.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lightweight HTTP interface library - common runtime files
 pion-net is not intended to implement yet another web server, but to
 provide HTTP(S) functionality to new or existing C++ applications. If
 you're looking for a full-featured server application, check out Apache
 or lighttpd. If you're working on a Boost C++ application and would just
 like to use HTTP to provide a simple user interface or interact with
 run-time data, then pion-net is a clean and simple solution.
 .
 Pion Network Library uses the Boost and asio libraries for multi-threading
 and asynchronous I/O. This allows servers implemented using pion-net to
 handle many thousands of connections simultaneously with a single physical
 server.
 .
 pion-net also supports server-side SSL & TLS encryption when built with
 the OpenSSL library (which the Debian package is).
 .
 This package includes the pion-net common runtime files.

Package: libpion-net-dbg
Section: debug
Architecture: any
Depends: libpion-common-dbg, libpion-net-3.0 (= ${binary:Version}), ${misc:Depends}
Description: lightweight HTTP interface library - debug files
 pion-net is not intended to implement yet another web server, but to
 provide HTTP(S) functionality to new or existing C++ applications. If
 you're looking for a full-featured server application, check out Apache
 or lighttpd. If you're working on a Boost C++ application and would just
 like to use HTTP to provide a simple user interface or interact with
 run-time data, then pion-net is a clean and simple solution.
 .
 Pion Network Library uses the Boost and asio libraries for multi-threading
 and asynchronous I/O. This allows servers implemented using pion-net to
 handle many thousands of connections simultaneously with a single physical
 server.
 .
 pion-net also supports server-side SSL & TLS encryption when built with
 the OpenSSL library (which the Debian package is).
 .
 This package includes the pion-net debug files.

Package: libpion-common-dbg
Section: debug
Architecture: any
Depends: libpion-common-3.0 (= ${binary:Version}), ${misc:Depends}
Description: lightweight HTTP interface library - common debug files
 pion-net is not intended to implement yet another web server, but to
 provide HTTP(S) functionality to new or existing C++ applications. If
 you're looking for a full-featured server application, check out Apache
 or lighttpd. If you're working on a Boost C++ application and would just
 like to use HTTP to provide a simple user interface or interact with
 run-time data, then pion-net is a clean and simple solution.
 .
 Pion Network Library uses the Boost and asio libraries for multi-threading
 and asynchronous I/O. This allows servers implemented using pion-net to
 handle many thousands of connections simultaneously with a single physical
 server.
 .
 pion-net also supports server-side SSL & TLS encryption when built with
 the OpenSSL library (which the Debian package is).
 .
 This package includes the pion-net common debug files.

Package: libpion-net-plugins-dbg
Section: debug
Architecture: any
Depends: libpion-net-plugins (= ${binary:Version}), libpion-net-dbg, ${misc:Depends}
Description: lightweight HTTP interface library - plugins debug files
 pion-net is not intended to implement yet another web server, but to
 provide HTTP(S) functionality to new or existing C++ applications. If
 you're looking for a full-featured server application, check out Apache
 or lighttpd. If you're working on a Boost C++ application and would just
 like to use HTTP to provide a simple user interface or interact with
 run-time data, then pion-net is a clean and simple solution.
 .
 Pion Network Library uses the Boost and asio libraries for multi-threading
 and asynchronous I/O. This allows servers implemented using pion-net to
 handle many thousands of connections simultaneously with a single physical
 server.
 .
 pion-net also supports server-side SSL & TLS encryption when built with
 the OpenSSL library (which the Debian package is).
 .
 This package includes the pion-net plugins debug files.

Package: libpion-net-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: lightweight HTTP interface library - documentation
 pion-net is not intended to implement yet another web server, but to
 provide HTTP(S) functionality to new or existing C++ applications. If
 you're looking for a full-featured server application, check out Apache
 or lighttpd. If you're working on a Boost C++ application and would just
 like to use HTTP to provide a simple user interface or interact with
 run-time data, then pion-net is a clean and simple solution.
 .
 Pion Network Library uses the Boost and asio libraries for multi-threading
 and asynchronous I/O. This allows servers implemented using pion-net to
 handle many thousands of connections simultaneously with a single physical
 server.
 .
 pion-net also supports server-side SSL & TLS encryption when built with
 the OpenSSL library (which the Debian package is).
 .
 This package includes the pion-net documentation files.
