=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif


config.status: configure
configure: configure-stamp
configure-stamp:
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-shared --disable-static --with-gnu-ld --with-pic --with-openssl --with-zlib --with-bzlib --with-ostream-logging --disable-lockfree CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs -lpthread"


build: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE) all
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	install -d $(CURDIR)/debian/tmp/usr/share/lintian/overrides
	cp $(CURDIR)/debian/lintian/* $(CURDIR)/debian/tmp/usr/share/lintian/overrides/
	chrpath -d $(CURDIR)/debian/tmp/usr/bin/PionHelloServer
	chrpath -d $(CURDIR)/debian/tmp/usr/bin/PionWebServer
	chrpath -d $(CURDIR)/debian/tmp/usr/share/pion/plugins/AllowNothingService.so
	chrpath -d $(CURDIR)/debian/tmp/usr/share/pion/plugins/CookieService.so
	chrpath -d $(CURDIR)/debian/tmp/usr/share/pion/plugins/EchoService.so
	chrpath -d $(CURDIR)/debian/tmp/usr/share/pion/plugins/FileService.so
	chrpath -d $(CURDIR)/debian/tmp/usr/share/pion/plugins/HelloService.so
	chrpath -d $(CURDIR)/debian/tmp/usr/share/pion/plugins/LogService.so
	chrpath -d $(CURDIR)/debian/tmp/usr/share/pion/plugins/hasCreateAndDestroy.so
	chrpath -d $(CURDIR)/debian/tmp/usr/share/pion/plugins/hasCreateButNoDestroy.so
	chrpath -d $(CURDIR)/debian/tmp/usr/share/pion/plugins/hasNoCreate.so
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/libpion-net-3.0.so


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip -k
	mv $(CURDIR)/debian/libpion-net-dev/usr/lib/debug/* $(CURDIR)/debian/libpion-net-dbg/usr/lib/debug/
	rmdir $(CURDIR)/debian/libpion-net-dev/usr/lib/debug/
	mv $(CURDIR)/debian/libpion-net-3.0/usr/lib/debug/usr/* $(CURDIR)/debian/libpion-net-dbg/usr/lib/debug/usr/
	rmdir $(CURDIR)/debian/libpion-net-3.0/usr/lib/debug/usr/
	rmdir $(CURDIR)/debian/libpion-net-3.0/usr/lib/debug/
	mv $(CURDIR)/debian/libpion-common-3.0/usr/lib/debug/* $(CURDIR)/debian/libpion-common-dbg/usr/lib/debug/
	rmdir $(CURDIR)/debian/libpion-common-3.0/usr/lib/debug/
	mv $(CURDIR)/debian/libpion-net-plugins/usr/lib/debug/* $(CURDIR)/debian/libpion-net-plugins-dbg/usr/lib/debug/
	rmdir $(CURDIR)/debian/libpion-net-plugins/usr/lib/debug/
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
