## pion-net 4.0.5+dfsg

=== debian/changelog ===
pion-net (4.0.5+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: 632455)
  * Switch from ostream for logging to log4cpp
  * Update to Standards-Version 3.9.2 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 02 Jul 2011 21:37:36 -0400

pion-net (4.0.1+dfsg-2) unstable; urgency=low

  * Stop shipping debug symbols for PionWebServer and PionHelloServer to
    prevent file conflicts when SONAME changes (Closes: #617933)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 12 Mar 2011 13:15:25 -0500

pion-net (4.0.1+dfsg-1) unstable; urgency=low

  * New upstream release
  * Rename packages:
    + libpion-net-3.0 -> libpion-net-4.0
    + libpion-common-3.0 -> libpion-common-4.0
  * Update copyright years in debian/copyright

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 10 Mar 2011 18:00:18 -0500

pion-net (3.0.21+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #565061)
  * Update to Standards-Version 3.9.1 (no changes)
  * Version the -dbg packages to track the versioned runtime packages

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 27 Jan 2011 12:21:39 -0500
