=== debian/rules ===
--- 
+++ 
@@ -31,10 +31,12 @@
 ifneq "$(wildcard /usr/share/misc/config.guess)" ""
 	cp -f /usr/share/misc/config.guess config.guess
 endif
-	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-shared --disable-static --with-gnu-ld --with-pic --with-openssl --with-zlib --with-bzlib --with-ostream-logging --disable-lockfree CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs -lpthread"
+	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-shared --disable-static --with-gnu-ld --with-pic --with-openssl --with-zlib --with-bzlib --with-log4cpp --disable-lockfree CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs -lpthread"
 
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: config.status
 	dh_testdir
 	$(MAKE) all
@@ -67,7 +69,7 @@
 	chrpath -d $(CURDIR)/debian/tmp/usr/share/pion/plugins/hasCreateAndDestroy.so
 	chrpath -d $(CURDIR)/debian/tmp/usr/share/pion/plugins/hasCreateButNoDestroy.so
 	chrpath -d $(CURDIR)/debian/tmp/usr/share/pion/plugins/hasNoCreate.so
-	chrpath -d $(CURDIR)/debian/tmp/usr/lib/libpion-net-3.0.so
+	chrpath -d $(CURDIR)/debian/tmp/usr/lib/libpion-net-4.0.so
 
 
 # Build architecture-independent files here.
@@ -84,13 +86,14 @@
 	dh_installman
 	dh_link
 	dh_strip -k
-	mv $(CURDIR)/debian/libpion-net-dev/usr/lib/debug/* $(CURDIR)/debian/libpion-net-dbg/usr/lib/debug/
+	mv $(CURDIR)/debian/libpion-net-dev/usr/lib/debug/* $(CURDIR)/debian/libpion-net-4.0-dbg/usr/lib/debug/
 	rmdir $(CURDIR)/debian/libpion-net-dev/usr/lib/debug/
-	mv $(CURDIR)/debian/libpion-net-3.0/usr/lib/debug/usr/* $(CURDIR)/debian/libpion-net-dbg/usr/lib/debug/usr/
-	rmdir $(CURDIR)/debian/libpion-net-3.0/usr/lib/debug/usr/
-	rmdir $(CURDIR)/debian/libpion-net-3.0/usr/lib/debug/
-	mv $(CURDIR)/debian/libpion-common-3.0/usr/lib/debug/* $(CURDIR)/debian/libpion-common-dbg/usr/lib/debug/
-	rmdir $(CURDIR)/debian/libpion-common-3.0/usr/lib/debug/
+	mv $(CURDIR)/debian/libpion-net-4.0/usr/lib/debug/usr/* $(CURDIR)/debian/libpion-net-4.0-dbg/usr/lib/debug/usr/
+	rm $(CURDIR)/debian/libpion-net-4.0-dbg/usr/lib/debug/usr/bin/PionHelloServer $(CURDIR)/debian/libpion-net-4.0-dbg/usr/lib/debug/usr/bin/PionWebServer
+	rmdir $(CURDIR)/debian/libpion-net-4.0/usr/lib/debug/usr/
+	rmdir $(CURDIR)/debian/libpion-net-4.0/usr/lib/debug/
+	mv $(CURDIR)/debian/libpion-common-4.0/usr/lib/debug/* $(CURDIR)/debian/libpion-common-4.0-dbg/usr/lib/debug/
+	rmdir $(CURDIR)/debian/libpion-common-4.0/usr/lib/debug/
 	mv $(CURDIR)/debian/libpion-net-plugins/usr/lib/debug/* $(CURDIR)/debian/libpion-net-plugins-dbg/usr/lib/debug/
 	rmdir $(CURDIR)/debian/libpion-net-plugins/usr/lib/debug/
 	dh_compress
