## pion-net 4.0.7%2Bdfsg

=== debian/changelog ===
pion-net (4.0.7+dfsg-3.1ubuntu2) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 21 Oct 2013 12:30:36 +0100

pion-net (4.0.7+dfsg-3.1ubuntu1) saucy; urgency=low

  * Link against boost system.
  * Import patch from fedora to use boost filesystem version 3.
  * Use updated boost::TIME_UTC_
  * Use autoreconf, but using ancient versions.
  * Define a bunch of variables that are use for dllexport on windows (?!)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 24 May 2013 16:02:16 +0100

pion-net (4.0.7+dfsg-3.1) unstable; urgency=low

  * Non maintainer upload
  * Fix build failure with GCC 4.7. Closes: #672036.

 -- Matthias Klose <doko@debian.org>  Thu, 10 May 2012 21:59:39 +0200

pion-net (4.0.7+dfsg-3) unstable; urgency=low

  * Remove call to deprecated io_service() (Closes: #653787)

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 09 Jan 2012 16:40:13 -0500

pion-net (4.0.7+dfsg-2) unstable; urgency=low

  * Add patch for aclocal.m4, thanks to Jakub Willk (Closes: #649124)

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 25 Nov 2011 17:24:52 -0500

pion-net (4.0.7+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 30 Sep 2011 23:17:15 -0400
