## pion-net 4.0.7+dfsg

=== debian/changelog ===
pion-net (4.0.7+dfsg-3.1ubuntu4) wily; urgency=medium

  * No-change rebuild against liblog4cpp5v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 03 Aug 2015 01:43:42 +0000

pion-net (4.0.7+dfsg-3.1ubuntu3) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 29 Apr 2014 06:30:21 +0100
