=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: pion-net
 Priority: extra
-Maintainer: Athena Capital Research <acr-debian@athenacr.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Athena Capital Research <acr-debian@athenacr.com>
 Uploaders: Roberto C. Sanchez <roberto@connexer.com>
-Build-Depends: debhelper (>= 7), autotools-dev, libssl-dev, libboost-dev (>= 1.35), libboost-thread-dev (>= 1.35), libboost-iostreams-dev (>= 1.35), libboost-system-dev (>= 1.35), libboost-filesystem-dev (>= 1.35), libboost-signals-dev (>= 1.35), libboost-test-dev (>= 1.35), chrpath, zlib1g-dev, doxygen, perl, libbz2-dev, libxml2-dev, libpcap-dev, libtool, ruby, cmake, pkg-config
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), autotools-dev, dh-autoreconf, automake1.9, autoconf2.59, libssl-dev, libboost-dev (>= 1.35), libboost-thread-dev (>= 1.35), libboost-iostreams-dev (>= 1.35), libboost-system-dev (>= 1.35), libboost-filesystem-dev (>= 1.35), libboost-signals-dev (>= 1.35), libboost-test-dev (>= 1.35), chrpath, zlib1g-dev, doxygen, perl, libbz2-dev, libxml2-dev, libpcap-dev, libtool, ruby, cmake, pkg-config, liblog4cpp5-dev
+Standards-Version: 3.9.2
 Section: libs
 Homepage: http://www.pion.org/projects/pion-network-library
 
 Package: libpion-net-dev
 Section: libdevel
 Architecture: any
-Depends: libpion-common-dev, libpion-net-3.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libpion-common-dev, libpion-net-4.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: libpion-net-doc
 Description: lightweight HTTP interface library - development files
  pion-net is not intended to implement yet another web server, but to
@@ -33,7 +34,7 @@
 Package: libpion-common-dev
 Section: libdevel
 Architecture: any
-Depends: libpion-common-3.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libpion-common-4.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: libpion-net-doc
 Description: lightweight HTTP interface library - common development files
  pion-net is not intended to implement yet another web server, but to
@@ -55,7 +56,7 @@
 
 Package: libpion-net-plugins
 Architecture: any
-Depends: libpion-net-3.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libpion-net-4.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: lightweight HTTP interface library - plugins
  pion-net is not intended to implement yet another web server, but to
  provide HTTP(S) functionality to new or existing C++ applications. If
@@ -74,9 +75,9 @@
  .
  This package includes the pion-net plugins.
 
-Package: libpion-net-3.0
-Architecture: any
-Depends: libpion-common-3.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Package: libpion-net-4.0
+Architecture: any
+Depends: libpion-common-4.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: lightweight HTTP interface library - runtime files
  pion-net is not intended to implement yet another web server, but to
  provide HTTP(S) functionality to new or existing C++ applications. If
@@ -95,7 +96,7 @@
  .
  This package includes the pion-net runtime files.
 
-Package: libpion-common-3.0
+Package: libpion-common-4.0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: lightweight HTTP interface library - common runtime files
@@ -116,10 +117,10 @@
  .
  This package includes the pion-net common runtime files.
 
-Package: libpion-net-dbg
+Package: libpion-net-4.0-dbg
 Section: debug
 Architecture: any
-Depends: libpion-common-dbg, libpion-net-3.0 (= ${binary:Version}), ${misc:Depends}
+Depends: libpion-common-4.0-dbg, libpion-net-4.0 (= ${binary:Version}), ${misc:Depends}
 Description: lightweight HTTP interface library - debug files
  pion-net is not intended to implement yet another web server, but to
  provide HTTP(S) functionality to new or existing C++ applications. If
@@ -138,10 +139,10 @@
  .
  This package includes the pion-net debug files.
 
-Package: libpion-common-dbg
+Package: libpion-common-4.0-dbg
 Section: debug
 Architecture: any
-Depends: libpion-common-3.0 (= ${binary:Version}), ${misc:Depends}
+Depends: libpion-common-4.0 (= ${binary:Version}), ${misc:Depends}
 Description: lightweight HTTP interface library - common debug files
  pion-net is not intended to implement yet another web server, but to
  provide HTTP(S) functionality to new or existing C++ applications. If
@@ -163,7 +164,7 @@
 Package: libpion-net-plugins-dbg
 Section: debug
 Architecture: any
-Depends: libpion-net-plugins (= ${binary:Version}), libpion-net-dbg, ${misc:Depends}
+Depends: libpion-net-plugins (= ${binary:Version}), libpion-net-4.0-dbg, ${misc:Depends}
 Description: lightweight HTTP interface library - plugins debug files
  pion-net is not intended to implement yet another web server, but to
  provide HTTP(S) functionality to new or existing C++ applications. If
