=== debian/rules ===
--- 
+++ 
@@ -20,18 +20,17 @@
 CROSS= --build $(DEB_BUILD_GNU_TYPE)
 endif
 
+export AUTOMAKE = automake-1.9
+export ACLOCAL = aclocal-1.9
+export AUTOCONF = autoconf2.59
 
 config.status: configure
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-ifneq "$(wildcard /usr/share/misc/config.sub)" ""
-	cp -f /usr/share/misc/config.sub config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess)" ""
-	cp -f /usr/share/misc/config.guess config.guess
-endif
+	dh_autoreconf
 	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-shared --disable-static --with-gnu-ld --with-pic --with-openssl --with-zlib --with-bzlib --with-log4cpp --disable-lockfree CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs -lpthread"
+	touch $@
 
 
 build: build-arch build-indep
@@ -47,7 +46,7 @@
 	dh_testroot
 	rm -f build-stamp
 	[ ! -f Makefile ] || $(MAKE) distclean
-	rm -f config.sub config.guess
+	dh_autoreconf_clean
 	dh_clean 
 
 install: build
@@ -90,6 +89,7 @@
 	rmdir $(CURDIR)/debian/libpion-net-dev/usr/lib/debug/
 	mv $(CURDIR)/debian/libpion-net-4.0/usr/lib/debug/usr/* $(CURDIR)/debian/libpion-net-4.0-dbg/usr/lib/debug/usr/
 	rm $(CURDIR)/debian/libpion-net-4.0-dbg/usr/lib/debug/usr/bin/PionHelloServer $(CURDIR)/debian/libpion-net-4.0-dbg/usr/lib/debug/usr/bin/PionWebServer
+	rmdir $(CURDIR)/debian/libpion-net-4.0-dbg/usr/lib/debug/usr/bin/
 	rmdir $(CURDIR)/debian/libpion-net-4.0/usr/lib/debug/usr/
 	rmdir $(CURDIR)/debian/libpion-net-4.0/usr/lib/debug/
 	mv $(CURDIR)/debian/libpion-common-4.0/usr/lib/debug/* $(CURDIR)/debian/libpion-common-4.0-dbg/usr/lib/debug/
