=== debian/watch ===
version=3

opts="dversionmangle=s/\+dfsg//" http://www.pion.org/projects/pion-network-library/download /files/pion-net-(.*)\.tar\.gz debian debian/repack.sh
